Bug 979663 - Review Request: perl-CPAN-FindDependencies - Find dependencies for modules on CPAN
Review Request: perl-CPAN-FindDependencies - Find dependencies for modules on...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-29 04:21 EDT by Christopher Meng
Modified: 2013-07-14 21:12 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-CPAN-FindDependencies-2.42-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-14 20:53:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-06-29 04:21:12 EDT
Spec URL: http://cicku.me/perl-CPAN-FindDependencies.spec
SRPM URL: http://cicku.me/perl-CPAN-FindDependencies-2.42-1.fc20.src.rpm
Description: This module provides tools to find a module's dependencies (and their dependencies, and so on) without having to download the modules in
their entirety.
Fedora Account System Username: cicku
Comment 1 Parag AN(पराग) 2013-07-03 01:41:02 EDT
Review:

+ mock build is successful for f20

+ rpmlint on rpms gave
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     : 2dfca4970f7e30e4e3fdb403bdad42b6afa32cf3bd4b7827ff6bf0d80c917494
upstream tarball : 2dfca4970f7e30e4e3fdb403bdad42b6afa32cf3bd4b7827ff6bf0d80c917494

- License "GPL+ or Artistic" is not exactly valild

+ rest follows packaging guidelines

+ make test is successful with output
All tests successful.
Files=8, Tests=23, 34 wallclock secs ( 0.05 usr  0.01 sys +  8.30 cusr  0.31 csys =  8.67 CPU)

+ This package perl-CPAN-FindDependencies-2.42-1.fc20.noarch
Provides: perl(CPAN::FindDependencies) = 2.42 perl(CPAN::FindDependencies::Dependency) = 2.1 perl(CPAN::FindDependencies::MakeMaker) = 0.3 perl-CPAN-FindDependencies = 2.42-1.fc20

Requires: /usr/bin/perl perl(CPAN::FindDependencies::Dependency) perl(CPAN::FindDependencies::MakeMaker) perl(Capture::Tiny) perl(Config) perl(Cwd) perl(Exporter) perl(File::Temp) perl(LWP::UserAgent) perl(Module::CoreList) perl(Parse::CPAN::Packages) perl(Scalar::Util) perl(YAML::Tiny) perl(constant) perl(strict) perl(vars)

suggestions:
1) Like suggested in other reviews, we don't need to list explicitly Requires. Also, package should not be hard versioned dependent.

2) License should be "GPLv2+ or Artistic"

3) You may want to add following for skipped test
BuildRequires: perl(Test::Pod::Coverage)

Note: Its not mandatory to add above BR: its just suggestion like given in other package reviews of me. See more https://fedoraproject.org/wiki/Packaging:Perl#When_to_.2Anot.2A_test
Comment 3 Parag AN(पराग) 2013-07-03 03:24:15 EDT
Looks good now.

APPROVED.
Comment 4 Christopher Meng 2013-07-03 05:44:06 EDT
New Package SCM Request
=======================
Package Name: perl-CPAN-FindDependencies
Short Description: Find dependencies for modules on CPAN
Owners: cicku
Branches: f18 f19
InitialCC:
Comment 5 Gwyn Ciesla 2013-07-03 09:00:54 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-07-05 08:33:15 EDT
perl-CPAN-FindDependencies-2.42-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-CPAN-FindDependencies-2.42-2.fc19
Comment 7 Fedora Update System 2013-07-05 08:33:59 EDT
perl-CPAN-FindDependencies-2.42-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-CPAN-FindDependencies-2.42-2.fc18
Comment 8 Fedora Update System 2013-07-05 20:53:07 EDT
perl-CPAN-FindDependencies-2.42-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 9 Fedora Update System 2013-07-14 20:53:23 EDT
perl-CPAN-FindDependencies-2.42-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 10 Fedora Update System 2013-07-14 21:12:37 EDT
perl-CPAN-FindDependencies-2.42-2.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.